View Issue Details

IDProjectCategoryView StatusLast Update
00031513 - Current Dev ListBugpublic2019-02-10 08:27
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.187 
Target VersionFixed in Version6.5.0.191 
Summary0003151: FTDX-3000 "AGC" setting doesn't show "auto"
DescriptionThe FTDX-3000 has an "auto" mode in its AGC setting that involves mismatched responses from the radio given CAT commands to set or query particular settings.

Rig control was enhanced (see Mantis 2970) to accommodate this situation, so we can fix the display of the AGC setting in this radio.
Steps To Reproduce    
1) Start up Rig Control. Connect to the FTDX-3000.
2) Use the "Menu" button to make sure the signal chain display is visible; "AGC" is the last block in the chain
3) Use the AGC button to select different AGC settings.

BUG#1) For some settings, the Rig Control AGC setting dropdown doesn't give a setting, just "AGC:"
TagsFTDX-3000, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

related to 0002970 closedK7ZCZ Rig Control: consider enhancing drop-down list buttons for mismatched response groups 

Activities

K7ZCZ

2019-02-02 14:56

manager   ~0007225

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4803

WA9PIE

2019-02-09 21:20

administrator   ~0007342

I tried this today with the rig at the Yaesu booth at Hamcation. I couldn't peform the steps. I'm going to need some help with the steps... or it can't be validated.

WA9PIE

2019-02-10 08:27

administrator   ~0007344

Okay. I went back to the Yaesu booth and visited with Jerry. I found that the screen on the FTdx3000 just doesn't display "Auto" when it's in Auto. It just simply dims the letters under AGC. So I tested Off, Fast, Medium, Slow, and Auto... and they all worked as expected.

Validated.

Issue History

Date Modified Username Field Change
2019-02-02 13:18 K7ZCZ New Issue
2019-02-02 13:18 K7ZCZ Tag Attached: FTDX-3000
2019-02-02 13:18 K7ZCZ Tag Attached: Yaesu
2019-02-02 13:18 K7ZCZ Relationship added related to 0002970
2019-02-02 14:56 K7ZCZ Assigned To => K7ZCZ
2019-02-02 14:56 K7ZCZ Status new => resolved
2019-02-02 14:56 K7ZCZ Resolution open => fixed
2019-02-02 14:56 K7ZCZ Note Added: 0007225
2019-02-06 11:18 K7ZCZ Fixed in Version => 6.5.0.191
2019-02-09 21:20 WA9PIE Note Added: 0007342
2019-02-10 08:27 WA9PIE Status resolved => closed
2019-02-10 08:27 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-10 08:27 WA9PIE Testing Not Started => Beta Successful
2019-02-10 08:27 WA9PIE Note Added: 0007344